<% local view, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<% htmlviewfunctions.displaycommandresults({"editsmtpentry", "delsmtpentry", "editsmtpfile", "delsmtpfile"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createsmtpfile"}, session, true) %>

<%
local header_level = htmlviewfunctions.displaysectionstart(view, page_info)
htmlviewfunctions.displayitem(view.value.version)
if view.value.version and view.value.version.errtxt and viewlibrary.check_permission("apk-tools/apk/install") then
	local install = cfe({ type="form", value={}, label="Install package", option="Install", action=page_info.script.."/apk-tools/apk/install" })
	install.value.package = cfe({ type="hidden", value=view.value.version.name })
	htmlviewfunctions.displayitem(install, page_info, 0)	-- header_level 0 means display inline without header
end
htmlviewfunctions.displaysectionend(header_level)
%>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("listsmtpentries")
	viewlibrary.dispatch_component("listsmtpfiles")
end %>
